Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.ssl
Interface SSLTransportLayer<Identifier,MessageType>

All Superinterfaces:
  Destructable, TransportLayer<Identifier,MessageType>, TransportLayerCallback<Identifier,MessageType>

All Known Implementing Classes:
  SSLTransportLayerImpl

    public interface SSLTransportLayer<Identifier,MessageType>

extends TransportLayer<Identifier,MessageType>, TransportLayerCallback<Identifier,MessageType>

Optionally Encrypts or Authenticates sockets.

Author:
  Jeff Hoye

Field Summary
`static int` | `CLIENT_AUTH_NONE`
`static int` | `CLIENT_AUTH_OPTIONAL`
`static int` | `CLIENT_AUTH_REQUIRED`
`static int` | `NO`
`static java.lang.String` | `OPTION_AUTHENTICATION`
`static java.lang.String` | `OPTION_CERT_SUBJECT`
`static java.lang.String` | `OPTION_ENCRYPTION`
`static int` | `YES`

Method Summary

Methods inherited from interface org.mpisws.p2p.transport.TransportLayer
`acceptMessages, acceptSockets, getLocalIdentifier, openSocket, sendMessage, setCallback, setErrorHandler`

Methods inherited from interface rice.Destructable
`destroy`

Methods inherited from interface org.mpisws.p2p.transport.TransportLayerCallback
`incomingSocket, messageReceived`

Field Detail

### OPTION_ENCRYPTION

    static final java.lang.String OPTION_ENCRYPTION

See Also:
  Constant Field Values

### OPTION_AUTHENTICATION

    static final java.lang.String OPTION_AUTHENTICATION

See Also:
  Constant Field Values

### OPTION_CERT_SUBJECT

    static final java.lang.String OPTION_CERT_SUBJECT

See Also:
  Constant Field Values

### CLIENT_AUTH_NONE

    static final int CLIENT_AUTH_NONE

See Also:
  Constant Field Values

### CLIENT_AUTH_REQUIRED

    static final int CLIENT_AUTH_REQUIRED

See Also:
  Constant Field Values

### CLIENT_AUTH_OPTIONAL

    static final int CLIENT_AUTH_OPTIONAL

See Also:
  Constant Field Values

### NO

    static final int NO

See Also:
  Constant Field Values

### YES

    static final int YES

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.